---
# ------------------------------------------------------------------------------
# Role
# ------------------------------------------------------------------------------

certificate_authority_role_enabled: true

# ------------------------------------------------------------------------------
# Settings
# ------------------------------------------------------------------------------

certificate_authority_settings_simple: false

certificate_authority_settings_rotate_now: false
certificate_authority_settings_rotate_days: 30

# ------------------------------------------------------------------------------
# Lists
# ------------------------------------------------------------------------------

certificate_authority_certificates: []  # Created and signed by inti. By root if local
  # - name: cert1.mydomain.local
  #   san: ['cert1-server.mydomain.local']
  #   ip:
  #     - "10.0.10.11"
  #     - "10.0.10.12"
  # - name: cert2.mydomain.local
  # - name: cert3.mydomain.local
  #   san:
  #     - "cert3-server.mydomain.local"
  #     - "cert3-myserver.mydomain.local"
  # - name: cert4.mydomain.local
  #   ip:
  #     - 10.0.10.13

certificate_authority_requests: []  # Signed by root, if not local

# ------------------------------------------------------------------------------
# Config
# ------------------------------------------------------------------------------

certificate_authority_config_name: ''

certificate_authority_config_dir: /ca

certificate_authority_config_user: root
certificate_authority_config_group: ''

certificate_authority_config_fips: false                       # Fips mode compliant ca server (Needs hardware support)

certificate_authority_config_cert_validity: 365                # Local certificate validity
certificate_authority_config_root_validity: 7300               # Root cert validity, if not local

certificate_authority_config_root_algorithm: sha512            # Root cert algorithm, if not local
certificate_authority_config_root_key_bits: 4096               # Root key (and Internal Issuing) key bits
certificate_authority_config_root_key_encryption: aes256       # Root key (and Internal Issuing) encryption, if not local

certificate_authority_config_root_signing_validity: 3650       # Root signed intermediates validity
certificate_authority_config_root_signing_algorithm: sha512    # Root signed intermediates algorithm
certificate_authority_config_root_signing_pathlen: 0           # Root signed intermediates path length

certificate_authority_config_inti_signing_validity: 3600       # Internal Issuing signed certs validity
certificate_authority_config_inti_signing_algorithm: sha256    # Internal Issuing signed certs algorithm
certificate_authority_config_inti_signing_key_bits: 2048       # Internal Issuing signed certs key bits, or local key bits


certificate_authority_config_subject_country: 'US'
certificate_authority_config_subject_state: 'California'
certificate_authority_config_subject_locality: 'Los Angeles'
certificate_authority_config_subject_organization: 'Organization'
certificate_authority_config_subject_email: 'email@domain.com'

certificate_authority_config_policy_country: match
certificate_authority_config_policy_state: match
certificate_authority_config_policy_locality: match
certificate_authority_config_policy_organization: match
certificate_authority_config_policy_email: optional
